B4A Library OldGoogleConsent - FirebaseAdmob2 with the old Google consent manager

Attachments

  • OldGoogleConsent.zip
    30.3 KB · Views: 82

Computersmith64

Well-Known Member
Licensed User
There is a problem with this. If the device is outside of the EU, the ConsentState comes back as UNKNOWN - which means when you request an ad through FirebaseAdmob2 (which is using Google Mobile Ads SDK v20+), it returns:

failed to load ad: {
"Code": 3,
"Message": "No ad config.",
"Domain": "com.google.android.gms.ads",
"Cause": "null",
"Response Info": {
"Response ID": "null",
"Mediation Adapter Class Name": "",
"Adapter Responses": []
}
}

The result is you can never get an ad for a device that's not in the EU.

- Colin.
 

Computersmith64

Well-Known Member
Licensed User
I don't think that this message "no ad config" is related to the consent state. It is the same as the old "no fill" error.
So on further testing, it works fine on devices running Android 10 & 7.0 - however I always get that error on my device running Android 12 (Beta 2 I think). I don't think it's a "no fill" error because if I test all 3 devices at the same time, I get ads on 2 & the error on the Android 12 device.

Also, when I was testing consent using UMP, the "no ad config" error would come up unless I selected the "Personalized Ads" (or whatever the equivalent is) option.

- Colin.
 
Top